package com.lightinit.hsdataplatform.model.admin;

import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Date;

public class ApiRuningMonitoringModel {
    private  Long id;
    private String apiMonitoringType;

    private String monitoringType;

    //API监控时间
    private String monitoringTimeStrFrom;
    private String monitoringTimeStrTo;
    //监控周期
    private int monitoringCycle;
    //提醒方式
    private String alertMethod;
    //提醒时间

    private String alertTimeStrFrom;
    private String alertTimeStrTo;

    private String apiMonitoringTimeStrFrom;
    private String apiMonitoringTimeStrTo;
    //监控周期
    private int apiMonitoringCycle;
    //提醒方式
    private String apiAlertMethod;
    //提醒时间


    private String apiAlertTimeStrFrom;
    private String apiAlertTimeStrTo;

    private Date createdAt;
    private Long createdBy;
    public String getMonitoringType() {
        return monitoringType;
    }

    public void setMonitoringType(String monitoringType) {
        this.monitoringType = monitoringType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getApiMonitoringType() {
        return apiMonitoringType;
    }

    public void setApiMonitoringType(String apiMonitoringType) {
        this.apiMonitoringType = apiMonitoringType;
    }

    public int getMonitoringCycle() {
        return monitoringCycle;
    }

    public void setMonitoringCycle(int monitoringCycle) {
        this.monitoringCycle = monitoringCycle;
    }

    public String getAlertMethod() {
        return alertMethod;
    }

    public void setAlertMethod(String alertMethod) {
        this.alertMethod = alertMethod;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }


    public int getApiMonitoringCycle() {
        return apiMonitoringCycle;
    }

    public void setApiMonitoringCycle(int apiMonitoringCycle) {
        this.apiMonitoringCycle = apiMonitoringCycle;
    }

    public String getApiAlertMethod() {
        return apiAlertMethod;
    }

    public void setApiAlertMethod(String apiAlertMethod) {
        this.apiAlertMethod = apiAlertMethod;
    }

    public String getMonitoringTimeStrFrom() {
        return monitoringTimeStrFrom;
    }

    public void setMonitoringTimeStrFrom(String monitoringTimeStrFrom) {
        this.monitoringTimeStrFrom = monitoringTimeStrFrom;
    }

    public String getMonitoringTimeStrTo() {
        return monitoringTimeStrTo;
    }

    public void setMonitoringTimeStrTo(String monitoringTimeStrTo) {
        this.monitoringTimeStrTo = monitoringTimeStrTo;
    }

    public String getAlertTimeStrFrom() {
        return alertTimeStrFrom;
    }

    public void setAlertTimeStrFrom(String alertTimeStrFrom) {
        this.alertTimeStrFrom = alertTimeStrFrom;
    }

    public String getAlertTimeStrTo() {
        return alertTimeStrTo;
    }

    public void setAlertTimeStrTo(String alertTimeStrTo) {
        this.alertTimeStrTo = alertTimeStrTo;
    }

    public String getApiMonitoringTimeStrFrom() {
        return apiMonitoringTimeStrFrom;
    }

    public void setApiMonitoringTimeStrFrom(String apiMonitoringTimeStrFrom) {
        this.apiMonitoringTimeStrFrom = apiMonitoringTimeStrFrom;
    }

    public String getApiMonitoringTimeStrTo() {
        return apiMonitoringTimeStrTo;
    }

    public void setApiMonitoringTimeStrTo(String apiMonitoringTimeStrTo) {
        this.apiMonitoringTimeStrTo = apiMonitoringTimeStrTo;
    }

    public String getApiAlertTimeStrFrom() {
        return apiAlertTimeStrFrom;
    }

    public void setApiAlertTimeStrFrom(String apiAlertTimeStrFrom) {
        this.apiAlertTimeStrFrom = apiAlertTimeStrFrom;
    }

    public String getApiAlertTimeStrTo() {
        return apiAlertTimeStrTo;
    }

    public void setApiAlertTimeStrTo(String apiAlertTimeStrTo) {
        this.apiAlertTimeStrTo = apiAlertTimeStrTo;
    }
}
